"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var tailwind_merge_1 = require("tailwind-merge");
var i18n_1 = require("@/lib/i18n");
var Text = function (_a) {
    var _b = _a.className, className = _b === void 0 ? '' : _b, style = _a.style, tx = _a.tx, children = _a.children, props = __rest(_a, ["className", "style", "tx", "children"]);
    var textStyle = react_1.default.useMemo(function () {
        return (0, tailwind_merge_1.twMerge)('text-base text-black  dark:text-white  font-inter font-normal', className);
    }, [className]);
    var nStyle = react_1.default.useMemo(function () {
        return react_native_1.StyleSheet.flatten([
            {
                writingDirection: react_native_1.I18nManager.isRTL ? 'rtl' : 'ltr',
            },
            style,
        ]);
    }, [style]);
    return (<react_native_1.Text className={textStyle} style={nStyle} {...props}>
      {tx ? (0, i18n_1.translate)(tx) : children}
    </react_native_1.Text>);
};
exports.Text = Text;
//# sourceMappingURL=text.js.map