"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var react_native_reanimated_1 = __importStar(require("react-native-reanimated"));
var Switch = function (_a) {
    var value = _a.value, onPress = _a.onPress, style = _a.style, _b = _a.duration, duration = _b === void 0 ? 400 : _b, _c = _a.trackColors, trackColors = _c === void 0 ? { on: '#10B981', off: '#E5E7EB' } : _c, _d = _a.disabled, disabled = _d === void 0 ? false : _d;
    var height = (0, react_native_reanimated_1.useSharedValue)(0);
    var width = (0, react_native_reanimated_1.useSharedValue)(0);
    var trackAnimatedStyle = (0, react_native_reanimated_1.useAnimatedStyle)(function () {
        var color = (0, react_native_reanimated_1.interpolateColor)(value.value, [0, 1], [trackColors.off, trackColors.on]);
        var colorValue = (0, react_native_reanimated_1.withTiming)(color, { duration: duration });
        return {
            backgroundColor: colorValue,
            borderRadius: height.value / 2,
        };
    });
    var thumbAnimatedStyle = (0, react_native_reanimated_1.useAnimatedStyle)(function () {
        var moveValue = (0, react_native_reanimated_1.interpolate)(Number(value.value), [0, 1], [0, width.value - height.value]);
        var translateValue = (0, react_native_reanimated_1.withTiming)(moveValue, { duration: duration });
        return {
            transform: [{ translateX: translateValue }],
            borderRadius: height.value / 2,
        };
    });
    return (<react_native_1.Pressable onPress={onPress} disabled={disabled}>
      <react_native_reanimated_1.default.View onLayout={function (e) {
            height.value = e.nativeEvent.layout.height;
            width.value = e.nativeEvent.layout.width;
        }} style={[
            switchStyles.track,
            style,
            trackAnimatedStyle,
            disabled && switchStyles.disabled,
        ]}>
        <react_native_reanimated_1.default.View style={[switchStyles.thumb, thumbAnimatedStyle]}></react_native_reanimated_1.default.View>
      </react_native_reanimated_1.default.View>
    </react_native_1.Pressable>);
};
var switchStyles = react_native_1.StyleSheet.create({
    track: {
        alignItems: 'flex-start',
        width: 100,
        height: 40,
        padding: 5,
    },
    thumb: {
        height: '100%',
        aspectRatio: 1,
        backgroundColor: 'white',
    },
    disabled: {
        opacity: 0.5,
    },
});
exports.default = Switch;
var styles = react_native_1.StyleSheet.create({
    switch: {
        width: 200,
        height: 80,
        padding: 10,
    },
    container: {
        flex: 1,
        height: 300,
        alignItems: 'center',
        justifyContent: 'center',
    },
    buttonContainer: {
        // @ts-ignore
        paddingTop: '1rem',
        display: 'flex',
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center',
    },
});
//# sourceMappingURL=switch.js.map