import * as React from 'react';
import { ViewStyle, TextStyle } from 'react-native';
interface LabelConfig {
    text?: string;
    style?: TextStyle;
    className?: string;
    required?: boolean;
}
interface InputConfig {
    mode?: 'default' | 'password' | 'id';
    value?: string;
    placeholder?: string;
    textColor?: string;
    placeholderColor?: string;
    backgroundColor?: string;
    width?: string;
    height?: string;
    radius?: string;
    border?: {
        borderWidth: string;
        borderColor: string;
    } | string;
    textStyle?: TextStyle;
    className?: string;
    style?: ViewStyle;
    disabled?: boolean;
    idValue?: {
        first: string;
        second: string;
    };
    onIdChange?: {
        onFirstChange: (text: string) => void;
        onSecondChange: (text: string) => void;
    };
    isSecureTextEntry?: boolean;
    onSecureTextEntryChange?: (isSecure: boolean) => void;
    charactorCount?: boolean;
    maxCharactorCount?: number;
}
export interface StatusConfig {
    status: 'none' | 'error' | 'success';
    message: string;
    messageStyle?: TextStyle;
    messageClassName?: string;
}
interface TextFieldProps {
    label?: LabelConfig;
    input: InputConfig;
    statusConfig?: StatusConfig;
    onClear?: () => void;
    onChangeText?: (text: string) => void;
}
export default function TextField({ label, input, statusConfig, onClear, onChangeText, }: TextFieldProps): React.JSX.Element;
export {};
//# sourceMappingURL=textfield.d.ts.map